import {world} from '@minecraft/server'
import {ActionFormData, MessageFormData, ModalFormData} from '@minecraft/server-ui'

import * as paints from './paints/main_paints.js' //импортируем всё из файла и называем paints для вызова из этого файла
import * as eraser from './eraser.js'
import * as replaceGui from './replacing.js'
import * as liquids from "./liquids.js"
import * as newNoise from "./paints/newNoise.js"

world.beforeEvents.chatSend.subscribe((ev) => {
	const player = ev.sender;
    switch (ev.message) {
        case 'gmc':
            ev.cancel = true;
            player.runCommandAsync('gamemode c');
			player.runCommandAsync('playsound random.orb @s')
            break;
        case 'gms':
            ev.cancel = true;
            player.runCommandAsync('gamemode spectator');
			player.runCommandAsync('playsound random.orb @s')
            break;
        case 'gma':
            ev.cancel = true;
            player.runCommandAsync('gamemode a');
			player.runCommandAsync('playsound random.orb @s')
            break;
        case 'kit str':
            ev.cancel = true;
            player.runCommandAsync('function kit/structure');
			player.runCommandAsync('playsound random.orb @s')
            break;
        case 'fill sand':
            ev.cancel = true;
            player.runCommandAsync('fill ~25 ~ ~25 ~-25 ~ ~-25 sand 0 replace air');
			player.runCommandAsync('playsound random.screenshot @s')
            break;
        case 'help':
            ev.cancel = true;
            player.runCommandAsync('function help');
			player.runCommandAsync('playsound random.orb @s')
            break;
		case 'er':
            ev.cancel = true
			player.runCommandAsync('function help_er')
			player.runCommandAsync('playsound random.orb @s')
			break
		case 'er off':
            ev.cancel = true
			player.runCommandAsync('function menu/er_stop')
			player.runCommandAsync('playsound random.orb @s')
			break
		case 'er every':
            ev.cancel = true
			player.runCommandAsync('tag @s add er.evert.pl')
			player.runCommandAsync('playsound random.orb @s')
			break
		case 'er trees':
            ev.cancel = true
			player.runCommandAsync('tag @s add er.trees.pl')
			player.runCommandAsync('playsound random.orb @s')
			break
		case 'er water':
            ev.cancel = true
			player.runCommandAsync('tag @s add er.water.pl')
			player.runCommandAsync('playsound random.orb @s')
			break
		case 'er lava':
            ev.cancel = true
			player.runCommandAsync('tag @s add er.lava.pl')
			player.runCommandAsync('playsound random.orb @s')
			break
		case 'er flowers':
            ev.cancel = true
			player.runCommandAsync('tag @s add er.flow.pl')
			player.runCommandAsync('playsound random.orb @s')
			break
		case 'er sand':
            ev.cancel = true
			player.runCommandAsync('tag @s add er.sand.pl')
			player.runCommandAsync('playsound random.orb @s')
			break
        default: break;
    }
})


world.afterEvents.itemUse.subscribe((data) => {
	if (data.itemStack.typeId == "t_t:menu") 
		brush_menu(data.source)
	
})
//основа
function brush_menu(player) {
	let form = new ActionFormData()
	form.title("Menu of Brush")
	form.button("Turn Off", "textures/gui/newgui/anvil-crossout")
	form.button("Settings", "textures/ui/automation_glyph_color")
	form.button("Paints", "textures/ui/color_picker")
    form.button("Noise", "textures/ui/RTX_Sparkle")
	form.button("Replacing", "textures/items/brewing_stand")
	form.button("Erasers", "textures/ui/invisibility_effect")
	form.button("Liquids", "textures/items/bucket_empty")

form.show(player).then((r) => {
	if (r.canceled) return
	let response = r.selection

	switch (response) {
		case 0:
			player.runCommandAsync("function brush_end")
			break
		case 1:
			menu_settings(player)
			break
		case 2:
			paints.paints(player) //вызываем функцию из конкретного файла
			player.runCommandAsync("function menu/clear_paint")
			break
		case 3:
			newNoise.mainNoise(player)
			player.runCommandAsync("function menu/clear_paint")
			player.runCommandAsync("tellraw @s {\"rawtext\":[{\"translate\":\"help.noise\"}]}")
            player.runCommandAsync("tellraw @s {\"rawtext\":[{\"text\":\" ---------\"}]}")
            break
		case 5:
			eraser.mainErase(player)
			player.runCommandAsync("function menu/clear_paint")
			break
		case 4:
			replaceGui.replaceMenu(player)
			player.runCommandAsync("function menu/clear_paint")
			break
		case 6:
			liquids.liquidsMain(player)
			player.runCommandAsync("function menu/clear_paint")
			break
		default: break
	}
})
}

//настройки(old)
function  menu_settings(player){
	let form = new ModalFormData()
	let radiusList = ["2", "4", "6"]
	let lengthList = ["12", "24"]
	form.title("Brush Settings")

	form.dropdown("Radius:", radiusList)
	form.dropdown("Length:", lengthList)
	form.show(player).then((r) =>{
		if (r.canceled) return
		//let shape = r.formValues[0]
		let radius = r.formValues[0]
		let length = r.formValues[1]

		if(radius == 0) {
			player.runCommandAsync("execute @e[r=36, type=st:stbrush] ~ ~ ~ function brush_settings/radius/r2")
		} else if (radius==1) {
			player.runCommandAsync("execute @e[r=36, type=st:stbrush] ~ ~ ~ function brush_settings/radius/r4")
		} else if (radius==2) {
			player.runCommandAsync("execute @e[r=36, type=st:stbrush] ~ ~ ~ function brush_settings/radius/r6")
		}

		if(length==0) {
			player.runCommandAsync("execute @e[r=36, type=st:stbrush] ~ ~ ~ function brush_settings/length/12")
		} else if(length==1) {
			player.runCommandAsync("execute @e[r=36, type=st:stbrush] ~ ~ ~ function brush_settings/length/24")
		}
	})
}


//settings(new)

//function menuSettingsNew(player) {
//	let drop = new ModalFormData()
//	drop.dropdown("Radius:", 2, 4, 6)
//	drop.dropdown("Length of brush:", 12, 24)
//	drop.show(player).then((r) => {
//		if (r.canceled) return
//		let radius = r.formValues[0]
//		let length = r.formValues[1]
//
//		if(radius == 0) {
//			player.runCommandAsync("execute @e[r=36, type=st:stbrush] ~ ~ ~ function brush_settings/radius/r2")
//		} else if (radius==1) {
//			player.runCommandAsync("execute @e[r=36, type=st:stbrush] ~ ~ ~ function brush_settings/radius/r4")
//		} else if (radius==2) {
//			player.runCommandAsync("execute @e[r=36, type=st:stbrush] ~ ~ ~ function brush_settings/radius/r6")
//		}
//
//		if(length==0) {
//			player.runCommandAsync("execute @e[r=36, type=st:stbrush] ~ ~ ~ function brush_settings/length/12")
//		} else if(length==1) {
//			player.runCommandAsync("execute @e[r=36, type=st:stbrush] ~ ~ ~ function brush_settings/length/24")
//		}
//	})
//}