import {ActionFormData, MessageFormData, ModalFormData} from '@minecraft/server-ui'

export function liquidsMain(player) {
    let lmm = new ActionFormData

    lmm.title("Liquids")
    lmm.button("Lava", "textures/items/bucket_lava")
    lmm.button("Water", "textures/items/bucket_water")

    lmm.show(player).then((r) => {
        if (r.canceled) return
	    let sel = r.selection

        switch (sel) {
            case 0:
                liqLava(player)
                break
            case 1:
                liqWater(player)
                break
        }
    })
}

export function liqLava(player) {
    let llm = new ActionFormData

    llm.title("Liquids")
    llm.body("Lava from...")
    llm.button("From Air", "textures/items/feather")
    llm.button("From Stone", "textures/blocks/stone")
    llm.button("From Netherrack", "textures/blocks/netherrack")

    llm.show(player).then((r) => {
        if (r.canceled) return
	    let sel = r.selection

        switch(sel) {
            case 0:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add air_to_lava.liquids")
                break
            case 1:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add stone_to_lava.liquids")
                break
            case 2:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add neth_to_lava.liquids")
                break
        }
    })
}

export function liqWater(player) {
    let llm = new ActionFormData

    llm.title("Liquids")
    llm.body("Water from...")
    llm.button("From Air", "textures/items/feather")
    llm.button("From Stone", "textures/blocks/stone")

    llm.show(player).then((r) => {
        if (r.canceled) return
	    let sel = r.selection

        switch(sel) {
            case 0:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add air_to_water.liquids")
                break
            case 1:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add stone_to_water.liquids")
                break
        }
    })
}