//краски основа
import {ActionFormData, MessageFormData, ModalFormData} from '@minecraft/server-ui'
import * as neth_p from "./nether.js"
import * as noise_m from "./random.js"
import * as newNoise from "./newNoise.js"



//экспортируем функцию
export function paints(player){ 
	let pa = new ActionFormData()
	pa.title("List Of Paints")
	pa.button("Other World", "textures/blocks/grass_side_carried")
	pa.button("Nether", "textures/blocks/netherrack")
	//pa.button("Mixed", "textures/misc/missing_texture")
	pa.button("Spetial", "textures/map/map_background")
   // pa.button("Noise", "textures/ui/RTX_Sparkle")
	pa.button("Trees", "textures/blocks/sapling_oak")

	pa.show(player).then((r) => {
		if (r.canceled) return
        let sel = r.selection

        switch (sel) {
            case 0:
                paints_overworld(player)
                break
            case 1:
                neth_p.nether_paints(player)
                break
           /* case 2:
                mix_gener(player)
                player.runCommandAsync("scoreboard objectives add mixed dummy mixed")
                break */
            case 2:
                special_paint(player)
                break
         /*   case 3:
                newNoise.mainNoise(player)
                player.runCommandAsync("tellraw @s {\"rawtext\":[{\"translate\":\"help.noise\"}]}")
                player.runCommandAsync("tellraw @s {\"rawtext\":[{\"text\":\" ---------\"}]}")
                break*/
            case 3:
                trees_p(player)
                player.runCommandAsync("scoreboard objectives add trees dummy trees")
                break
                default: break
        }
	})
}

//деревья

export function trees_p(player) {
    let pts = new ActionFormData()
    pts.title("List Of Paints")
    pts.body("Trees")
    pts.button("Dead", "textures/blocks/deadbush")
    pts.button("Vanilla", "textures/blocks/sapling_oak")
    pts.button("Customs", "textures/blocks/sapling_oak")

    pts.show(player).then((r) => {
        if (r.canceled) return
        let sel = r.selection

        switch (sel) {
            case 0:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add dead.trees.paint")
                break
            case 1:
                vanillTrees_p(player)
                break
            case 2:
                customTrees_p(player)
                break
        }
    })
}

//vanilla
export function vanillTrees_p(player) {
    let pts = new ActionFormData()
    pts.title("List Of Paints")
    pts.body("Vanilla Trees")
    pts.button("Oak", "textures/blocks/sapling_oak")
    pts.button("Birch", "textures/blocks/sapling_birch")
    pts.button("Jungle", "textures/blocks/sapling_jungle")
    pts.button("Spruce", "textures/blocks/sapling_spruce")
    pts.button("Dark Oak", "textures/blocks/sapling_roofed_oak")
    pts.button("Acacia", "textures/blocks/sapling_acacia")

    pts.show(player).then((r) => {
        if (r.canceled) return
        let sel = r.selection

        switch (sel) {
            case 0:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add vanilla.oak.trees.paint")
                break
            case 1:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add vanilla.birch.trees.paint")
                break
            case 2:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add vanilla.jungle.trees.paint")
                break
            case 3:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add vanilla.spruce.trees.paint")
                break
            case 4:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add vanilla.dark_oak.trees.paint")
                break
            case 5:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add vanilla.acacia.trees.paint")
                break
        }
    })
}

//кастомка
export function customTrees_p(player) {
    let pts = new ActionFormData()
    pts.title("List Of Paints")
    pts.body("Custom")
    pts.button("Oak", "textures/blocks/sapling_oak")
    pts.button("Birch", "textures/blocks/sapling_birch")
    pts.button("Jungle", "textures/blocks/sapling_jungle")
    pts.button("Spruce", "textures/blocks/sapling_spruce")
    pts.button("Acacia", "textures/blocks/sapling_acacia")

    pts.show(player).then((r) => {
        if (r.canceled) return
        let sel = r.selection

        switch (sel) {
            case 0:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add custom.oak.trees.paint")
                break
            case 1:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add custom.birch.trees.paint")
                break
            case 2:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add custom.jungle.trees.paint")
                break
            case 3:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add custom.spruce.trees.paint")
                break
           
            case 4:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add custom.acacia.trees.paint")
                break
        }
    })
}

//смешаное мэин
/*
function mixed_mainMenu(player){
    let mix = new ActionFormData

    mix.title("List Of Blocks")
    mix.body("Mixed blocks|§1main")
    mix.button("With templates")
    mix.button("Without templates")

    mix.show(player).then((r) => {
        if (r.canceled) return
        let sel = r.selection

        switch (sel) {
            case 0:
                mixed_paint(player)
                break
            case 1:
                mix_gener(player)
                break
        }
    })
}
*/


//смешаное шаблоны
/*
export function mixed_paint(player) {
    let mix = new ActionFormData

    mix.title("List Of Blocks")
    mix.body("Mixed blocks |§1 With templates")
    mix.button("Stones", "textures/blocks/cobblestone_mossy")
    mix.button("Netherrack", "textures/blocks/netherrack")
    mix.button("End stone", "textures/blocks/end_stone")
    mix.button("Calcite", "textures/blocks/calcite")
    mix.button("Mud", "textures/blocks/mud")
    mix.button("Packed Mud", "textures/blocks/packed_mud")
    mix.button("Warped Blocks", "textures/blocks/warped_wart_block")

    mix.show(player).then((r) => {
        if (r.canceled) return
        let sel = r.selection

        switch (sel) {
            case 0:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add stone.mixed.paint")
                break
            case 1:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add netherrack.mixed.paint")
                break
            case 2:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add end_stone.mixed.paint")
                break
            case 3:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add calcite.mixed.paint")
                break
            case 4:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add mud_d.mixed.paint")
                break
            case 5:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add mud.mixed.paint")
                break
            case 6:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add warped_stem.mixed.paint")
                break

        }
    })
}
*/


//Внешний мир
export function paints_overworld(player) {
    let pow = new ActionFormData()
    pow.title("List Of Paints")
    pow.body("Other World")
    pow.button("Stones", "textures/blocks/stone")
    pow.button("Dirt", "textures/blocks/dirt")
    pow.button("Bulk Blocks", "textures/blocks/sand")
    pow.button("Snows", "textures/blocks/snow")
    pow.button("Terracotta", "textures/blocks/hardened_clay")

    pow.show(player).then((r) => {
        if (r.canceled) return
        let sel = r.selection

        switch (sel) {
            case 0:
                stones_paint(player)
             break
            case 1:
                dirt_paint(player)
             break
            case 2:
                bulk_block_paint(player)
             break
            case 3:
                paints_snow(player)
             break
            case 4:
                terracotta_paints(player)
             break
            default: break
        }
    })
}
//особенные
export function special_paint(player) {
    let psp = new ActionFormData
    psp.title("List Of Paints")
    psp.body("Special")
    psp.button("End stone", "textures/blocks/end_stone")
    psp.button("BIG stone", "textures/blocks/stone")

    psp.show(player).then((r) => {
        if (r.canceled) return
        let sel = r.selection

        switch (sel) {
            case 0:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add blocks.endstone")
                break
            case 1: 
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add terr.big.stone")
                break


            default: break
        }
    })
}

//камни

export function stones_paint(player) {
    let pst = new ActionFormData
    pst.title("List Of Paints")
    pst.body("Stones")
    pst.button("Stone", "textures/blocks/stone")
    pst.button("Andesite", "textures/blocks/stone_andesite")
    pst.button("Granite", "textures/blocks/stone_granite")
    pst.button("Diorite", "textures/blocks/stone_diorite")
    pst.button("Deepslate", "textures/blocks/deepslate/deepslate")
    pst.button("Cobblestone", "textures/blocks/cobblestone")

    pst.show(player).then((r) =>{
        if (r.canceled) return
        let sel = r.selection

        switch (sel) {
            case 0:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add brush_stone")
                break
            case 1:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add brush_andesite")
                break
            
                case 2:
                    player.runCommandAsync("tag @e[type=st:stbrush, r=36] add brush_granite")
                    break
                case 3:
                    player.runCommandAsync("tag @e[type=st:stbrush, r=36] add brush_diorite")
                    break
                case 4:
                    player.runCommandAsync("tag @e[type=st:stbrush, r=36] add brush_deepslate")
                    break
                case 5:
                    player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.cobblestone")
                    break
            default: break
        }
    })
}

//земля

export function dirt_paint(player) {
    let pdt = new ActionFormData()
    pdt.title("List Of Paints")
    pdt.body("Dirt")
    pdt.button("Grass", "textures/blocks/grass_side_carried")
    pdt.button("Dirt", "textures/blocks/dirt")
    pdt.button("Coarse Dirt", "textures/blocks/coarse_dirt")

    pdt.show(player).then((r) => {
        if (r.canceled) return
        let sel = r.selection

        switch (sel) {
            case 0:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add grass.st")
                break
            case 1:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add dirt.st")
                break
            case 2:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add coarse_dirt.st")
                break
            default: break
        }
    })
}

//Сыпучие блоки
export function bulk_block_paint(player) {
    let pbb = new ActionFormData()
    pbb.title("List Of Paints")
    pbb.body("Bulk Blocks")
    pbb.button("Sands", "textures/blocks/sand")
    pbb.button("Gravel", "textures/blocks/gravel")
    pbb.button("Concrete Powder", "textures/blocks/concrete_powder_white")

    pbb.show(player).then((r) => {
        if (r.canceled) return
        let sel = r.selection
        switch (sel) {
            case 0:
                paints_sand(player)
                break
            case 1:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add st.pait.gravel")
                break
            case 2:
                paints_concrete_powder(player)
                break
            default: break
        }


    })
}

//песок
export function paints_sand(player) {
    let psb = new ActionFormData()
    psb.title("List Of Paints")
    psb.body("Sands")
    psb.button("Sand", "textures/blocks/sand")
    psb.button("Red Sand", "textures/blocks/red_sand")
    psb.show(player).then((r) => {
        if (r.canceled) return
        let sel = r.selection

        switch (sel) {
            case 0:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add STsand")
                break
            case 1:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add STredsand")
                break
    
            default: break
        }
    })
}

//Цемент

export function paints_concrete_powder(player) {
    let pcb = new ActionFormData()
    pcb.title("List Of Paints")
    pcb.body("Concrete Powder")
    pcb.button("White", "textures/blocks/concrete_powder_white")
    pcb.button("Light Gray", "textures/blocks/concrete_powder_silver")
    pcb.button("Gray", "textures/blocks/concrete_powder_gray")
    pcb.button("Black", "textures/blocks/concrete_powder_black")
    pcb.button("Brown", "textures/blocks/concrete_powder_brown")
    pcb.button("Red", "textures/blocks/concrete_powder_red")
    pcb.button("Orange", "textures/blocks/concrete_powder_orange")
    pcb.button("Yellow", "textures/blocks/concrete_powder_yellow")
    pcb.button("Lime", "textures/blocks/concrete_powder_lime")
    pcb.button("Green", "textures/blocks/concrete_powder_green")
    pcb.button("Cyan", "textures/blocks/concrete_powder_cyan")
    pcb.button("Light Blue", "textures/blocks/concrete_powder_light_blue")
    pcb.button("Blue", "textures/blocks/concrete_powder_blue")
    pcb.button("Purple", "textures/blocks/concrete_powder_purple")
    pcb.button("Magenta", "textures/blocks/concrete_powder_magenta")
    pcb.button("Pink", "textures/blocks/concrete_powder_pink")

    pcb.show(player).then((r) => {
        if (r.canceled) return
        let sel = r.selection
        
        switch (sel) {
            case 0:
               player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.p_concrete.c.1")
               break
            case 1:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.p_concrete.c.2") 
                break
            case 2:
               player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.p_concrete.c.3") 
               break
            case 3:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.p_concrete.c.4") 
                break
            case 4:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.p_concrete.c.5") 
                break
            case 5:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.p_concrete.c.6") 
                break
            case 6:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.p_concrete.c.7") 
                break
            case 7:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.p_concrete.c.8") 
                break
            case 8:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.p_concrete.c.9") 
                break
            case 9:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.p_concrete.c.10") 
                break
            case 10:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.p_concrete.c.11") 
                break
            case 11:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.p_concrete.c.12") 
                break
            case 12:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.p_concrete.c.13") 
                break
            case 13:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.p_concrete.c.14") 
                break
             case 14:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.p_concrete.c.15") 
                break
            case 15:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.p_concrete.c.16") 
                break

            default: break
        }
    })

}

//снег
export function paints_snow(player) {
    let psb = new ActionFormData
    psb.title("List Of Paints")
    psb.body("Snows")
    psb.button("Snow", "textures/blocks/snow")
    psb.button("Powder Snow", "textures/blocks/powder_snow")

    psb.show(player).then((r) => {
        if (r.canceled) return
        let sel = r.selection

        switch (sel) {
            case 0:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add STsnow") 
                break
            case 1:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add st.powder_snow")
                break

            default: break   
        }
    })
}

//терракота
export function terracotta_paints(player) {
    let pta = new ActionFormData
    pta.title("List Of Paints")
    pta.body("Terracotta")
    pta.button("Terracotta", "textures/blocks/hardened_clay")
    pta.button("White", "textures/blocks/hardened_clay_stained_white")
    pta.button("Light Gray", "textures/blocks/hardened_clay_stained_silver")
    pta.button("Gray", "textures/blocks/hardened_clay_stained_gray")
    pta.button("Black", "textures/blocks/hardened_clay_stained_black")
    pta.button("Brown", "textures/blocks/hardened_clay_stained_brown")
    pta.button("Red", "textures/blocks/hardened_clay_stained_red")
    pta.button("Orange", "textures/blocks/hardened_clay_stained_orange")
    pta.button("Yellow", "textures/blocks/hardened_clay_stained_yellow")
    pta.button("Lime", "textures/blocks/hardened_clay_stained_lime")
    pta.button("Green", "textures/blocks/hardened_clay_stained_green")
    pta.button("Cyan", "textures/blocks/hardened_clay_stained_cyan")
    pta.button("Light Blue", "textures/blocks/hardened_clay_stained_light_blue")
    pta.button("Blue", "textures/blocks/hardened_clay_stained_blue")
    pta.button("Purple", "textures/blocks/hardened_clay_stained_purple")
    pta.button("Magenta", "textures/blocks/hardened_clay_stained_magenta")
    pta.button("Pink", "textures/blocks/hardened_clay_stained_pink")


    pta.show(player).then((r) => {
        if (r.canceled) return
        let sel = r.selection

        switch(sel) {
            case 0:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add terracotta.st")
                break
            case 1:
               player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.terracotta.c.1")
               break
            case 2:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.terracotta.c.2") 
                break
            case 3:
               player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.terracotta.c.3") 
               break
            case 4:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.terracotta.c.4") 
                break
            case 5:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.terracotta.c.5") 
                break
            case 6:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.terracotta.c.6") 
                break
            case 7:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.terracotta.c.7") 
                break
            case 8:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.terracotta.c.8") 
                break
            case 9:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.terracotta.c.9") 
                break
            case 10:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.terracotta.c.10") 
                break
            case 11:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.terracotta.c.11") 
                break
            case 12:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.terracotta.c.12") 
                break
            case 13:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.terracotta.c.13") 
                break
            case 14:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.terracotta.c.14") 
                break
             case 15:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.terracotta.c.15") 
                break
            case 16:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add paint.terracotta.c.16") 
                break

            default: break
        }
    })
}

//Начинаем незер