import {ActionFormData, MessageFormData, ModalFormData} from '@minecraft/server-ui'


export function mainNoise(player){
    let ns = new ActionFormData()

    ns.title("Noise")
    ns.body("§4Attention! §3Look in the chat!")
    ns.button("Reset Noises", "textures/gui/newgui/anvil-crossout")
    ns.button("Base", "textures/menu/base")
    ns.button("Noise", "textures/menu/noise")

    ns.show(player).then((r) => {
        if (r.canceled) return
        let sel = r.selection

        switch(sel) {
            case 0:
                player.runCommandAsync("function menu/reset_noise")
                player.runCommandAsync("function menu/reset_noiseBase")
                break
            case 1:
                noiseBase(player)
                break
            case 2:
                noiseNoise(player)
                break
        }
    })
}


export function noiseBase(player) {
    let nb = new ActionFormData()

    nb.title("Noise")
    nb.body("§3Base of Noise")
    nb.button("None", "textures/gui/newgui/anvil-crossout")
    nb.button("Glass", "textures/blocks/glass")
    nb.button("Stone", "textures/blocks/stone")
    nb.button("Grass", "textures/blocks/grass_side_carried")
    nb.button("Moss Block", "textures/blocks/moss_block")
    nb.button("Mossy Cobblestone", "textures/blocks/cobblestone_mossy")
    nb.button("Cobblestone", "textures/blocks/cobblestone")
    nb.button("Deepslate Titles", "textures/blocks/deepslate/deepslate_tiles")
    nb.button("End Stone", "textures/blocks/end_stone")
    nb.button("End Stone Bricks", "textures/blocks/end_bricks")
    nb.button("Mud", "textures/blocks/mud")
    nb.button("Mud Bricks", "textures/blocks/mud_bricks")
    nb.button("Packed Mud", "textures/blocks/packed_mud")
    nb.button("Netherrack", "textures/blocks/netherrack")
    nb.button("Crimson Hyphae", "textures/blocks_nv/crimson_log_side")
    nb.button("Nether Wart Block", "textures/blocks/nether_wart_block")
    nb.button("Stripped Warped Hyphae", "textures/blocks/huge_fungus/stripped_warped_stem_side")
    nb.button("Warped Hyphae", "textures/blocks_nv/warped_stem_side")
    nb.button("Warped Wart Block", "textures/blocks/warped_wart_block")


    nb.show(player).then((r) => {
        if (r.canceled) return

        let baseMix = r.selection

        switch (baseMix) {
            case 0:
                player.runCommandAsync("function menu/reset_noiseBase")
                break
            case 1:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.Glass")
                break
            case 2:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[r=36, type=st:stbrush] add baseMix.Stone")
                break
            case 3:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.Grass")
                break
            case 4:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.Moss")
                break
            case 5:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.MossCobble")
                break
            case 6:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.Cobble")
                break
            case 7:   
                player.runCommandAsync("function menu/reset_noiseBase")                                              //----------
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.DeepslateTitles")
                break
            case 8:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.EndStone")
                break
            case 9:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.EndBrick")
                break
            case 10:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.mud")
                break
            case 11:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.mudBricks")
                break
            case 12:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.packetMud")
                break
            case 13:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.netherrack")
                break
            case 14:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.crimsonHyphae")
                break
            case 15:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.NetherWartBlock")
                break
            case 16:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.StrippedWarpedHyphae")
                break
            case 17:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.WarpedHyphae")
                break
            case 18:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.warpedWartBlock")
                break
        }
    })
}

export function noiseNoise(player) {
    let nb = new ActionFormData()

    nb.title("Noise")
    nb.body("§3Base of Noise")
    nb.button("None", "textures/gui/newgui/anvil-crossout")
    nb.button("Glass", "textures/blocks/glass")
    nb.button("Stone", "textures/blocks/stone")
    nb.button("Grass", "textures/blocks/grass_side_carried")
    nb.button("Moss Block", "textures/blocks/moss_block")
    nb.button("Mossy Cobblestone", "textures/blocks/cobblestone_mossy")
    nb.button("Cobblestone", "textures/blocks/cobblestone")
    nb.button("Deepslate Titles", "textures/blocks/deepslate/deepslate_tiles")
    nb.button("End Stone", "textures/blocks/end_stone")
    nb.button("End Stone Bricks", "textures/blocks/end_bricks")
    nb.button("Mud", "textures/blocks/mud")
    nb.button("Mud Bricks", "textures/blocks/mud_bricks")
    nb.button("Packed Mud", "textures/blocks/packed_mud")
    nb.button("Netherrack", "textures/blocks/netherrack")
    nb.button("Crimson Hyphae", "textures/blocks_nv/crimson_log_side")
    nb.button("Nether Wart Block", "textures/blocks/nether_wart_block")
    nb.button("Stripped Warped Hyphae", "textures/blocks/huge_fungus/stripped_warped_stem_side")
    nb.button("Warped Hyphae", "textures/blocks_nv/warped_stem_side")
    nb.button("Warped Wart Block", "textures/blocks/warped_wart_block")


    nb.show(player).then((r) => {
        if (r.canceled) return

        let noise = r.selection

        
        switch (noise) {
            case 0: 
               player.runCommandAsync("function menu/reset_noise")
                break
            case 1:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.glass")
                player.runCommandAsync("function menu/noise_active_list")
                break
            case 2:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.stone")
                player.runCommandAsync("function menu/noise_active_list")
                break
            case 3:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.grass")
                player.runCommandAsync("function menu/noise_active_list")
                break
            case 4:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.moss")
                player.runCommandAsync("function menu/noise_active_list")
                break
            case 5:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.mossCobble")
                player.runCommandAsync("function menu/noise_active_list")
                break
            case 6:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.Cobble")
                player.runCommandAsync("function menu/noise_active_list")
                break
            case 7:                                                 //----------
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add noise.DeepslateTitles")
                player.runCommandAsync("function menu/noise_active_list")
                break
            case 8:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add noise.EndStone")
                player.runCommandAsync("function menu/noise_active_list")
                break
            case 9:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add noise.EndBrick")
                player.runCommandAsync("function menu/noise_active_list")
                break
            case 10:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add noise.mud")
                player.runCommandAsync("function menu/noise_active_list")
                break
            case 11:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add noise.mudBricks")
                player.runCommandAsync("function menu/noise_active_list")
                break
            case 12:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add noise.packetMud")
                player.runCommandAsync("function menu/noise_active_list")
                break
            case 13:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add noise.netherrack")
                player.runCommandAsync("function menu/noise_active_list")
                break
            case 14:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add noise.crimsonHyphae")
                player.runCommandAsync("function menu/noise_active_list")
                break
            case 15:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add noise.NetherWartBlock")
                player.runCommandAsync("function menu/noise_active_list")
                break
            case 16:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add noise.StrippedWarpedHyphae")
                player.runCommandAsync("function menu/noise_active_list")
                break
            case 17:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add noise.WarpedHyphae")
                player.runCommandAsync("function menu/noise_active_list")
                break
            case 18:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add noise.warpedWartBlock")
                player.runCommandAsync("function menu/noise_active_list")
                break
            
        }
    })
}
















//Старая версия шума
/*export function mix_gener(player) {
    let mixG = new ModalFormData()
    //let mixMainG = ["Glass", "Stone", "Grass", "Moss Block", "Mossy Cobblestone", "Cobblestone"]
    let mixHN = ["None", "Glass", "Stone", "Grass", "Moss Block", "Mossy Cobblestone", "Cobblestone", "Deepslate Tiles", "End Stone", "End Stone Bricks", "Mud", "Mud Bricks", "Packed Mud", "Netherrack", "Crimson Hyphae", "Nether Wart Block", "Stripped Warped Hyphae", "Warped Hyphae", "Warped Wart Block"]
    

    mixG.title("Mixed blocks |§1 Wtithout templates")
    mixG.dropdown("Base:", mixHN)
    mixG.dropdown("Noise:", mixHN)
   // mixG.dropdown("Noise:", mixHN)

    mixG.show(player).then((r) => {
        if (r.canceled) return
        let baseMix = r.formValues[0]
        let noise = r.formValues[1]
      //  let noise2 = r.formValues[2]

        switch (baseMix) {
            case 0:
                player.runCommandAsync("function menu/reset_noiseBase")
                break
            case 1:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.Glass")
                break
            case 2:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[r=36, type=st:stbrush] add baseMix.Stone")
                break
            case 3:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.Grass")
                break
            case 4:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.Moss")
                break
            case 5:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.MossCobble")
                break
            case 6:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.Cobble")
                break
            case 7:   
                player.runCommandAsync("function menu/reset_noiseBase")                                              //----------
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.DeepslateTitles")
                break
            case 8:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.EndStone")
                break
            case 9:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.EndBrick")
                break
            case 10:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.mud")
                break
            case 11:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.mudBricks")
                break
            case 12:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.packetMud")
                break
            case 13:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.netherrack")
                break
            case 14:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.crimsonHyphae")
                break
            case 15:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.NetherWartBlock")
                break
            case 16:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.StrippedWarpedHyphae")
                break
            case 17:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.WarpedHyphae")
                break
            case 18:
                player.runCommandAsync("function menu/reset_noiseBase")
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.warpedWartBlock")
                break
        }
    
    deepslate_tiles
    end_stone
    end_bricks
    mud
    mud_bricks
    packet_mud
    netherrack
    crimson_hyphae
    nether_wart_block
    stripped_warped_hyphae
    warped_hyphae
    warped_wart_block
    
        switch (noise) {
            case 0: 
               player.runCommandAsync("function menu/reset_noise")
                break
            case 1:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.glass")
                break
            case 2:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.stone")
                break
            case 3:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.grass")
                break
            case 4:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.moss")
                break
            case 5:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.mossCobble")
                break
            case 6:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.Cobble")
                break
            case 7:                                                 //----------
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add noise.DeepslateTitles")
                break
            case 8:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add noise.EndStone")
                break
            case 9:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add noise.EndBrick")
                break
            case 10:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add noise.mud")
                break
            case 11:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add noise.mudBricks")
                break
            case 12:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add noise.packetMud")
                break
            case 13:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add noise.netherrack")
                break
            case 14:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add noise.crimsonHyphae")
                break
            case 15:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add noise.NetherWartBlock")
                break
            case 16:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add noise.StrippedWarpedHyphae")
                break
            case 17:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add noise.WarpedHyphae")
                break
            case 18:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add noise.warpedWartBlock")
                break
            
        }

       

       if(noise2 == 2) {
        player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.stone")
        } else if (noise2 == 1) {
             player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.glass")
        } else if (noise2 == 3) {
            player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.grass")
        } else if (noise2 == 4) {
        player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.moss")
        } else if (noise2 == 5) {
            player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.mossCobble")
        } else if (noise1 == 6) {
            player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.Cobble")
        }

    })
}*/

//старая херня для базы шума
        /*if(baseMix == 2) {
            player.runCommandAsync("tag @e[r=36, type=st:stbrush] add baseMix.Stone")
        } else if (baseMix == 1) {
            player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.Glass")
        } else if(baseMix==3) {
            player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.Grass")
        } else if(baseMix==4) {
            player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.Moss")
        } else if(baseMix==5) {
            player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.MossCobble")
        } else if(baseMix==6) {
            player.runCommandAsync("tag @e[type=st:stbrush, r=36] add baseMix.Cobble")
        }*/
//Старая херня с самим шумом
/* if(noise1 == 2) {
            player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.stone")
        } else if (noise1 == 1) {
             player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.glass")
        } else if (noise1 == 3) {
            player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.grass")
        } else if (noise1 == 4) {
        player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.moss")
        } else if (noise1 == 5) {
            player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.mossCobble")
        } else if (noise1 == 6) {
            player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.Cobble")
        }*/



