import {ActionFormData, MessageFormData, ModalFormData} from '@minecraft/server-ui'

import * as stones from './replacing/stone.js'
import * as sands from './replacing/sand.js'
import * as grass from "./replacing/grass.js"
import * as roads from "./replacing/roads.js"
import * as neth from "./replacing/nether.js"
import * as terracotta from "./replacing/terracotta.js"
import * as moss from "./replacing/moss.js"

export function replaceMenu(player) {
	let form = new ActionFormData()
    form.title("List Of Replacements");
    form.button("Other World", "textures/blocks/grass_side_carried")
	form.button("Nether", "textures/blocks/netherrack")

    form.show(player).then((r) => {
	    if (r.canceled) return
	    let response = r.selection

	    switch (response) {
	    	case 0:
             replaceOtherWorld(player)
             break
         case 1:
              neth.repNetherMain(player)
              break
		default: break
	}
})
}


export function replaceOtherWorld(player) {
    let row = new ActionFormData()

    row.title("List Of Replacements")
    row.body("Other World")
    row.button("Stone to...", "textures/blocks/stone")
    row.button("Sand to...", "textures/blocks/sand")
    row.button("Grass to...", "textures/blocks/grass_side_carried")
    row.button("Snow to...", "textures/blocks/snow")
    row.button("Terracotta to...", "textures/blocks/hardened_clay")
    row.button("Moss to...", "textures/blocks/moss_block") 
    row.button("Roads & Paths")

    row.show(player).then((r) => {
        if (r.canceled) return
	    let sel = r.selection

        switch (sel) {
            case 0:
                stones.repStoneMain(player)
                break
            case 1:
                sands.replaceSandTo(player)
                break
            case 2:
                grass.replaceGrassTo(player)
                break
            case 3:
                repSnowMain(player)
                break
            case 4:
                terracotta.terracotta_repl(player)
                break
            case 5:
                moss.replaceMossTo(player)
                break
            case 6:
                roads.roadsMain(player)
                player.runCommandAsync("scoreboard objectives add path dummy path")
                break
        }

    })
}

//снег
export function repSnowMain(player) {
    let rs = new ActionFormData
    rs.title("List Of Replacements")
    rs.body("Snow to...")
    rs.button("Blue Ice", "textures/blocks/blue_ice")
    rs.button("Packed Ice", "textures/blocks/ice_packed")
    rs.button("Stone", "textures/blocks/stone")

    rs.show(player).then((r) => {
        if (r.canceled) return
	    let sel = r.selection

        switch (sel) {
            case 0:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add snow_to_blue_ice_replacing")
                break
            case 1:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add snow_to_ice_packed.replace")
                break
            case 2:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add snow_to_stone.replace")
                break
        }
    })

}