import {ActionFormData, MessageFormData, ModalFormData} from '@minecraft/server-ui'

export function repNetherMain(player) {
    let rnm = new ActionFormData
    rnm.title("List Of Replacements")
    rnm.body("Nether")
    rnm.button("Basalt to...", "textures/blocks/basalt_side")
    rnm.button("Netherrack to...", "textures/blocks/netherrack")

    rnm.show(player).then((r) => {
        if (r.canceled) return
	    let sel = r.selection

        switch(sel) {
            case 0:
                repNethBas(player)
                break
            case 1:
                repNethNeth(player)
                break
        }

    })
}

function repNethBas(player) {
    let rnb = new ActionFormData
    rnb.title("List Of Replacements")
    rnb.body("Basalt to...")
    rnb.button("Netherrack", "textures/blocks/netherrack")

    rnb.show(player).then((r) => {
        if (r.canceled) return
	    let sel = r.selection

        switch(sel) {
            case 0:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add basalt_to_neth")
                break
        }
    })
}

function repNethNeth(player) {
    let rnn = new ActionFormData
    rnn.title("List Of Replacements")
    rnn.body("Netherrack to...")
    rnn.button("Stone", "textures/blocks/stone")
    rnn.button("Basalt", "textures/blocks/basalt_side")
    rnn.button("Soul Sand", "textures/blocks/soul_sand")
    rnn.button("Soul Soil", "textures/blocks/soul_soil")
    rnn.button("Blackstone", "textures/blocks/blackstone")
    rnn.button("Glowstone", "textures/blocks/glowstone")
    rnn.button("Magma", "textures/blocks/magma")
    rnn.button("Gravel", "textures/blocks/gravel")


    rnn.show(player).then((r) => {
        if (r.canceled) return
	    let sel = r.selection

        switch(sel) {
            case 0:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add neth_to_stone")
                break
            case 1:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add neth_to_basalt")
                break
            case 2:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add neth_to_soul_sand")
                break
            case 3:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add neth_to_soul_soil")
                break
            case 4:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add neth_to_blackstone")
                break
            case 5:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add neth_to_glowstone")
                break
            case 6:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add neth_to_magma")
                break
            case 7:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add neth_to_gravel")
            
        }
    })
}